summaryrefslogtreecommitdiff
path: root/ruby.sh
diff options
context:
space:
mode:
authorAndreas Maunz <andreas@maunz.de>2011-04-01 15:23:16 +0200
committerAndreas Maunz <andreas@maunz.de>2011-04-01 15:23:16 +0200
commit9767c31849d79666becaf0a6882a4ad1e9412b13 (patch)
tree7e44f95508aad9e6bc03515deef6973261a37d58 /ruby.sh
parent457b352dc5cdb01f8f7ff0e1587a4e0df0a4eb93 (diff)
Guarding passenger install
Diffstat (limited to 'ruby.sh')
-rwxr-xr-xruby.sh4
1 files changed, 3 insertions, 1 deletions
diff --git a/ruby.sh b/ruby.sh
index 9d53662..4aa438f 100755
--- a/ruby.sh
+++ b/ruby.sh
@@ -78,7 +78,9 @@ if [ "$PASSENGER_SKIP" != "s" ]; then
if ! grep "$GEMCONF" $HOME/.gemrc >>$LOG 2>&1; then
echo "$GEMCONF" | tee -a $HOME/.gemrc >>$LOG 2>&1
fi
- cmd="$GEM install passenger" && run_cmd "$cmd" "Install Passenger"
+ if ! $GEM list | grep passenger >/dev/null 2>&1; then
+ cmd="$GEM install passenger" && run_cmd "$cmd" "Install Passenger"
+ fi
fi